Subject: [HumanistRoots] RSVP for the next Humanist Roots Group meeting: Saturday, March 3

From: "Richard O. Duda" <[email-masked]>
Date: Fri, 16 Feb 2007 10:59:16 -0800

UUCPA Humanists and Friends,

I need to begin by letting you know that Dennis Ricks is currently in Utah caring for his mother, who is facing a difficult medical situation.  I am sure that we all share a concern for both of them, and send him our best wishes.

Substituting for Dennis, I would like to remind you that the next UUCPA Humanist Roots Group pot luck dinner party is scheduled for Saturday, March 3, at 6:00 PM in the UUCPA Fireside Room.

With the decision of the Kansas State Board of Education to adopt evolution-friendly science standards (headline: "Darwin vs. GOD, Round 2007: Kansas Declares Darwin the Winner"), it is very timely that David Harris has agreed to lead us in a discussion about Darwin and the evolution of thinking about evolution.  David is a core contributor to the Darwin Day website (see http://www.darwinday.org/), and will share his insights with us in what should be a most stimulating discussion.

Everyone who is interested is welcome to attend. If you would like to attend, please let me know via email what type of dish you would like to bring. (i.e., hors d'oeuvres, salad, veggie dish, meat dish, dessert, drinks/wine, etc.)

-- Dick Duda

_______________________________________________
HumanistRoots mailing list
[email-masked]
http://uucpa.org/mailman/listinfo/humanistroots